| Qore Pop3Client Module Reference 1.9

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
Pop3Client::Pop3Connection Class Reference

class for POP3 connections; returns an object of class Pop3Client for receiving or polling for emails More...

Inherits AbstractConnectionWithInfo.

## Public Member Functions
| constructor (string name, string description, string url, hash attributes={}, hash options={})
| creates the RestConnection connection object More...
*hash< auto > | getRuntimeOptions ()
| returns runtime options More...
string | getType ()
| returns `"pop3"`

## Public Attributes
const | ConnectionScheme = ...
| Connection entry info.

## Protected Member Functions
hash< ConnectionSchemeInfo > | getConnectionSchemeInfoImpl ()
| Returns the ConnectionSchemeInfo hash for this object.
Pop3Client | getImpl (bool connect=True, *hash rtopts)
| returns a Pop3Client object More...

## Detailed Description

class for POP3 connections; returns an object of class Pop3Client for receiving or polling for emails

supports the following runtime options in getImpl() for connection logging:

- `"log"`: a closure accepting a single string for logging
- `"dbglog"`: a closure taking a single string for detailed technical connection logging

Since
  Pop3Client 1.5

## Member Function Documentation

## ◆ constructor()

Pop3Client::Pop3Connection::constructor | ( | string | name,
|  | string | description,
|  | string | url,
|  | hash | attributes = `{}`,
|  | hash | options = `{}`
| ) |  |

creates the RestConnection connection object

Parameters

  name | the name of the connection
  description | connection description
  url | connection URL (potentially with password info)
  attributes | various attributes. See below
  options | connection options

See AbstractConnection::constructor() for `attributes` and `options` reference.

Exceptions

  CONNECTION-OPTION-ERROR | missing or invalid connection option

## ◆ getImpl()

Pop3Client Pop3Client::Pop3Connection::getImpl | ( | bool | connect = `True`,
|  | *hash | rtopts
| ) |  |
| protected

returns a Pop3Client object

Parameters

  connect | if True, then Pop3Client::Pop3Client::connect() is called
  rtopts | supports the following runtime options in getImpl() for connection logging: `"log"`: a closure accepting a single string for logging `"dbglog"`: a closure taking a single string for detailed technical connection logging

Returns
  a Pop3Client object

## ◆ getRuntimeOptions()

*hash<auto> Pop3Client::Pop3Connection::getRuntimeOptions | ( |  | ) |

returns runtime options

Returns
  a hash with the following keys reflecting support for the corresponding runtime options in getImpl() for connection logging:
  - `"log"`: a closure accepting a single string for logging
  - `"dbglog"`: a closure taking a single string for detailed technical connection logging